aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test
diff options
context:
space:
mode:
Diffstat (limited to 'src/test')
-rw-r--r--src/test/shell/integration/BUILD1
-rwxr-xr-xsrc/test/shell/integration/experimental_ui_test.sh13
2 files changed, 14 insertions, 0 deletions
diff --git a/src/test/shell/integration/BUILD b/src/test/shell/integration/BUILD
index 7874f780c8..38f489d122 100644
--- a/src/test/shell/integration/BUILD
+++ b/src/test/shell/integration/BUILD
@@ -29,6 +29,7 @@ sh_test(
size = "medium",
srcs = ["experimental_ui_test.sh"],
data = [":test-deps"],
+ shard_count = 4,
)
sh_test(
diff --git a/src/test/shell/integration/experimental_ui_test.sh b/src/test/shell/integration/experimental_ui_test.sh
index 3acee96e05..ee6062ff52 100755
--- a/src/test/shell/integration/experimental_ui_test.sh
+++ b/src/test/shell/integration/experimental_ui_test.sh
@@ -191,4 +191,17 @@ function test_times_fresh {
expect_log 'Testing.*slow.*[789]s'
}
+function test_nocurses_little_output {
+ bazel clean || fail "bazel clean failed"
+ bazel test --experimental_ui --curses=no --color=yes pkg:slow 2>$TEST_log \
+ || fail "bazel test failed"
+ # We have ensured that the slow test is run. It takes about 10 seconds
+ # and we expect an update about every five second, so, in totoal, we
+ # expect to see two or three lines about the progress of the slow test.
+ # Five definitely is way off.
+ line_count=`grep 'Testing.*slow' $TEST_log | wc -l`
+ [ $line_count -lt 5 ] \
+ || fail "Too many progress updates in the log: `cat $TEST_log`"
+}
+
run_suite "Integration tests for bazel's experimental UI"